Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
token-exchange-profiles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.TokenExchangeProfiles.ListAsync(
            new TokenExchangeProfilesListRequest {
                From = "from",
                Take = 1
            }
        );
    }

}
{
  "next": "<string>",
  "token_exchange_profiles": [
    {
      "id": "<string>",
      "name": "Token Exchange Profile 1",
      "subject_token_type": "<string>",
      "action_id": "<string>",
      "type": "custom_authentication",
      "created_at": "2024-01-01T00:00:00.000Z",
      "updated_at": "2024-01-01T00:00:00.000Z"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100

Réponse

Token Exchange Profile successfully retrieved.

next
string

Opaque identifier for use with the from query parameter for the next page of results.
This identifier is valid for 24 hours.

token_exchange_profiles
object[]